Track gzipped code size, too
[dygraphs.git] / scripts / weigh-in.sh
diff --git a/scripts/weigh-in.sh b/scripts/weigh-in.sh
new file mode 100755 (executable)
index 0000000..e58f786
--- /dev/null
@@ -0,0 +1,9 @@
+#!/bin/bash
+# This tracks the effect of pull requests on the size of dygraphs.
+# See https://github.com/danvk/travis-weigh-in
+set -o errexit
+
+curl -O https://raw.githubusercontent.com/danvk/travis-weigh-in/master/weigh_in.py
+python weigh_in.py dist/dygraph-combined.js
+gzip -c dist/dygraph.min.js > dist/dygraph.min.js.gz
+python weigh_in.py dist/dygraph.min.js.gz